Bug 1470754 - No check before deletion of router which can't be deleted
Summary: No check before deletion of router which can't be deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Alexander Demicev
QA Contact: Omri Hochman
URL:
Whiteboard: openstack
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-13 15:01 UTC by Oleksandr Kolisnyk
Modified: 2019-02-07 23:02 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:36 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:47 UTC

Description Oleksandr Kolisnyk 2017-07-13 15:01:35 UTC
Description of problem:
If you have router in use, CFME will have to raise an error when user tries to delete it

Version-Release number of selected component (if applicable):
5.8.1.2 and RHOS 11. Cloud instance with floating IP associated 

How reproducible:
Always

Steps to Reproduce:
1. Go Networks -> Network Routers
2. Check any router with at least one FIP allocated, which associated with active cloud instance
3. Click Configuration -> Delete selected Routers

Actual results:
Successful flash message - "Delete initiated for 1 Network Router."

Expected results:
CFME has to raise an aerror that it is unable to delete router which is being used by instance

Additional info:

Comment 9 Jad Haj Yahya 2018-07-05 09:15:52 UTC
tested on 5.10.0.2

Flash message that was displayed implies router is eligible for deleting:

Deleting Network Router id:1000000000001 name: 'Router1'

Comment 10 Alexander Demicev 2018-07-05 11:25:10 UTC
Hi, 
Can you please provide a screenshot of flash message?

Comment 12 Danylo Kholodov 2018-09-07 14:46:32 UTC
Verified at the CFME 5.10.0.14

Comment 13 errata-xmlrpc 2019-02-07 23:02:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.